Index: /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.xcode/nicholas.mode1
===================================================================
--- /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.xcode/nicholas.mode1	(revision 168)
+++ /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.xcode/nicholas.mode1	(revision 169)
@@ -228,4 +228,6 @@
 			<array>
 				<dict>
+					<key>BecomeActive</key>
+					<true/>
 					<key>ContentConfiguration</key>
 					<dict>
@@ -262,4 +264,6 @@
 							<array>
 								<string>29B97314FDCFA39411CA2CEA</string>
+								<string>29B97315FDCFA39411CA2CEA</string>
+								<string>E1AFA51C03ECFDB000050001</string>
 								<string>1C37FBAC04509CD000000102</string>
 							</array>
@@ -267,4 +271,6 @@
 							<array>
 								<array>
+									<integer>9</integer>
+									<integer>2</integer>
 									<integer>0</integer>
 								</array>
@@ -286,5 +292,5 @@
 						</array>
 						<key>RubberWindowFrame</key>
-						<string>8 234 697 508 0 0 1152 746 </string>
+						<string>13 230 697 508 0 0 1152 746 </string>
 					</dict>
 					<key>Module</key>
@@ -323,5 +329,5 @@
 								<string>{{0, 0}, {488, 0}}</string>
 								<key>RubberWindowFrame</key>
-								<string>8 234 697 508 0 0 1152 746 </string>
+								<string>13 230 697 508 0 0 1152 746 </string>
 							</dict>
 							<key>Module</key>
@@ -331,6 +337,4 @@
 						</dict>
 						<dict>
-							<key>BecomeActive</key>
-							<true/>
 							<key>ContentConfiguration</key>
 							<dict>
@@ -338,5 +342,5 @@
 								<string>1CE0B20506471E060097A5F4</string>
 								<key>PBXProjectModuleLabel</key>
-								<string>Detail</string>
+								<string>Targets</string>
 							</dict>
 							<key>GeometryConfiguration</key>
@@ -345,5 +349,5 @@
 								<string>{{0, 7}, {488, 480}}</string>
 								<key>RubberWindowFrame</key>
-								<string>8 234 697 508 0 0 1152 746 </string>
+								<string>13 230 697 508 0 0 1152 746 </string>
 							</dict>
 							<key>Module</key>
@@ -369,7 +373,7 @@
 			<key>TableOfContents</key>
 			<array>
-				<string>E1ABAE750812E78D007C5427</string>
+				<string>E1DA7150081459C400D5158A</string>
 				<string>1CE0B1FE06471DED0097A5F4</string>
-				<string>E1ABAE760812E78D007C5427</string>
+				<string>E1DA7151081459C400D5158A</string>
 				<string>1CE0B20306471E060097A5F4</string>
 				<string>1CE0B20506471E060097A5F4</string>
@@ -384,5 +388,5 @@
 	<false/>
 	<key>TimeStamp</key>
-	<real>135494064.50546539</real>
+	<real>135551345.73168311</real>
 	<key>ToolbarDisplayMode</key>
 	<integer>2</integer>
@@ -399,10 +403,10 @@
 	<key>WindowOrderList</key>
 	<array>
-		<string>E10967F60812260E0088089B</string>
-		<string>1C0AD2B3069F1EA900FABCE6</string>
-		<string>/Users/nicholas/Documents/Development/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.pbproj</string>
+		<string>/Users/nicholas/Documents/Development/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.xcode</string>
+		<string>E1DA7152081459C400D5158A</string>
+		<string>E1DA7153081459C400D5158A</string>
 	</array>
 	<key>WindowString</key>
-	<string>8 234 697 508 0 0 1152 746 </string>
+	<string>13 230 697 508 0 0 1152 746 </string>
 	<key>WindowTools</key>
 	<array>
@@ -432,19 +436,4 @@
 										<key>PBXProjectModuleLabel</key>
 										<string>ICeCoffEEController.m</string>
-										<key>bookmark</key>
-										<string>E1ABB0A8081379B0007C5427</string>
-										<key>history</key>
-										<array>
-											<string>E1096733081193C80088089B</string>
-											<string>E1096801081229410088089B</string>
-											<string>E1ABAF1608130361007C5427</string>
-											<string>E1ABAF1C081303FF007C5427</string>
-										</array>
-										<key>prevStack</key>
-										<array>
-											<string>E1096735081193C80088089B</string>
-											<string>E1096803081229410088089B</string>
-											<string>E1ABAF1808130361007C5427</string>
-										</array>
 									</dict>
 									<key>SplitCount</key>
@@ -457,12 +446,12 @@
 							<dict>
 								<key>Frame</key>
-								<string>{{0, 0}, {796, 228}}</string>
+								<string>{{0, 0}, {857, 0}}</string>
 								<key>RubberWindowFrame</key>
-								<string>34 128 796 391 0 0 1152 746 </string>
+								<string>22 75 857 385 0 0 1152 746 </string>
 							</dict>
 							<key>Module</key>
 							<string>PBXNavigatorGroup</string>
 							<key>Proportion</key>
-							<string>228pt</string>
+							<string>0pt</string>
 						</dict>
 						<dict>
@@ -483,16 +472,16 @@
 							<dict>
 								<key>Frame</key>
-								<string>{{0, 235}, {796, 114}}</string>
+								<string>{{0, 7}, {857, 336}}</string>
 								<key>RubberWindowFrame</key>
-								<string>34 128 796 391 0 0 1152 746 </string>
+								<string>22 75 857 385 0 0 1152 746 </string>
 							</dict>
 							<key>Module</key>
 							<string>PBXBuildResultsModule</string>
 							<key>Proportion</key>
-							<string>114pt</string>
+							<string>336pt</string>
 						</dict>
 					</array>
 					<key>Proportion</key>
-					<string>349pt</string>
+					<string>343pt</string>
 				</dict>
 			</array>
@@ -507,6 +496,6 @@
 			<key>TableOfContents</key>
 			<array>
-				<string>E10967F60812260E0088089B</string>
-				<string>E1ABAF000812FEDF007C5427</string>
+				<string>E1718325081434180097E5AE</string>
+				<string>E1718326081434180097E5AE</string>
 				<string>1CD0528F0623707200166675</string>
 				<string>XCMainBuildResultsModuleGUID</string>
@@ -515,9 +504,9 @@
 			<string>xcode.toolbar.config.build</string>
 			<key>WindowString</key>
-			<string>34 128 796 391 0 0 1152 746 </string>
+			<string>22 75 857 385 0 0 1152 746 </string>
 			<key>WindowToolGUID</key>
-			<string>E10967F60812260E0088089B</string>
+			<string>E1718325081434180097E5AE</string>
 			<key>WindowToolIsVisible</key>
-			<false/>
+			<true/>
 		</dict>
 		<dict>
@@ -1086,4 +1075,6 @@
 		</dict>
 		<dict>
+			<key>FirstTimeWindowDisplayed</key>
+			<false/>
 			<key>Identifier</key>
 			<string>windowTool.classBrowser</string>
@@ -1119,5 +1110,5 @@
 								<string>{{0, 0}, {630, 331}}</string>
 								<key>MembersFrame</key>
-								<string>{{0, 105}, {374, 395}}</string>
+								<string>{{0, 105}, {374, 226}}</string>
 								<key>MembersTreeTableConfiguration</key>
 								<array>
@@ -1134,5 +1125,5 @@
 								<true/>
 								<key>RubberWindowFrame</key>
-								<string>385 179 630 352 0 0 1440 878 </string>
+								<string>28 367 630 352 0 0 1152 746 </string>
 							</dict>
 							<key>Module</key>
@@ -1157,5 +1148,5 @@
 			<array>
 				<string>1C0AD2AF069F1E9B00FABCE6</string>
-				<string>1C0AD2B0069F1E9B00FABCE6</string>
+				<string>E120DB6B08141C4700BF8DDC</string>
 				<string>1CA6456E063B45B4001379D8</string>
 			</array>
@@ -1163,5 +1154,5 @@
 			<string>xcode.toolbar.config.classbrowser</string>
 			<key>WindowString</key>
-			<string>385 179 630 352 0 0 1440 878 </string>
+			<string>28 367 630 352 0 0 1152 746 </string>
 			<key>WindowToolGUID</key>
 			<string>1C0AD2AF069F1E9B00FABCE6</string>
Index: /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.xcode/nicholas.pbxuser
===================================================================
--- /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.xcode/nicholas.pbxuser	(revision 168)
+++ /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.xcode/nicholas.pbxuser	(revision 169)
@@ -10,9 +10,8 @@
 	};
 	29B97313FDCFA39411CA2CEA = {
-		activeBuildStyle = 4A9504CCFFE6A4B311CA0CBA;
-		activeExecutable = E1ABAEF20812F4B3007C5427;
-		activeTarget = E1ABAE8D0812F4B2007C5427;
+		activeBuildStyle = 4A9504CDFFE6A4B311CA0CBA;
+		activeExecutable = E1317A3503DF242100050002;
+		activeTarget = E120DB7308141CCB00BF8DDC;
 		addToTargets = (
-			E1ABAEE10812F4B2007C5427,
 		);
 		breakpoints = (
@@ -34,5 +33,4 @@
 			E1ABE98B040D48E700050002,
 			E1ABAEE00812F4B2007C5427,
-			E1ABAEF20812F4B3007C5427,
 		);
 		perUserDictionary = {
@@ -171,5 +169,5 @@
 				);
 			};
-			PBXPerProjectTemplateStateSaveDate = 135456646;
+			PBXPerProjectTemplateStateSaveDate = 135551345;
 			PBXPrepackagedSmartGroups_v2 = (
 				{
@@ -646,15 +644,5 @@
 				WindowFrame = "{{524, 473}, {756, 352}}";
 			};
-			PBXWorkspaceStateSaveDate = 135456646;
-		};
-		perUserProjectItems = {
-			E1096733081193C80088089B = E1096733081193C80088089B;
-			E1096735081193C80088089B = E1096735081193C80088089B;
-			E1096801081229410088089B = E1096801081229410088089B;
-			E1096803081229410088089B = E1096803081229410088089B;
-			E1ABAF1608130361007C5427 = E1ABAF1608130361007C5427;
-			E1ABAF1808130361007C5427 = E1ABAF1808130361007C5427;
-			E1ABAF1C081303FF007C5427 = E1ABAF1C081303FF007C5427;
-			E1ABB0A8081379B0007C5427 = E1ABB0A8081379B0007C5427;
+			PBXWorkspaceStateSaveDate = 135551345;
 		};
 		sourceControlManager = E12B21580548C9B600CFF4E9;
@@ -709,44 +697,4 @@
 		sourceTree = "<absolute>";
 	};
-	E1096733081193C80088089B = {
-		fRef = F9A6986E03BE1DF000AA4DA5;
-		isa = PBXTextBookmark;
-		name = "        ICapeprintf(\"ICeCoffEE APE: got process attributes = 0x%lx\\n\", info.Attributes);\n";
-		rLen = 89;
-		rLoc = 3727;
-		rType = 0;
-		vrLen = 501;
-		vrLoc = 3566;
-	};
-	E1096735081193C80088089B = {
-		fRef = F9A6986E03BE1DF000AA4DA5;
-		isa = PBXTextBookmark;
-		name = "        ICapeprintf(\"ICeCoffEE APE: got process attributes = 0x%lx\\n\", info.Attributes);\n";
-		rLen = 89;
-		rLoc = 3727;
-		rType = 0;
-		vrLen = 501;
-		vrLoc = 3566;
-	};
-	E1096801081229410088089B = {
-		fRef = E1317B2F03DFC4DE00050002;
-		isa = PBXTextBookmark;
-		name = "ICeCoffEETerminal.m: 348";
-		rLen = 0;
-		rLoc = 12497;
-		rType = 0;
-		vrLen = 498;
-		vrLoc = 12426;
-	};
-	E1096803081229410088089B = {
-		fRef = E1317B2F03DFC4DE00050002;
-		isa = PBXTextBookmark;
-		name = "ICeCoffEETerminal.m: 348";
-		rLen = 0;
-		rLoc = 12497;
-		rType = 0;
-		vrLen = 498;
-		vrLoc = 12426;
-	};
 	E11854F703F2709E00050002 = {
 		uiCtxt = {
@@ -755,4 +703,7 @@
 			sepNavVisRect = "{{0, 718}, {571, 566}}";
 		};
+	};
+	E120DB7308141CCB00BF8DDC = {
+		activeExec = 0;
 	};
 	E12A2C6B054CE75500F98AD9 = {
@@ -915,8 +866,8 @@
 	E135625E03DC9FC200050002 = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {735, 695}}";
-			sepNavSelRange = "{1773, 0}";
-			sepNavVisRect = "{{0, 231}, {735, 464}}";
-			sepNavWindowFrame = "{{84, 176}, {750, 502}}";
+			sepNavIntBoundsRect = "{{0, 0}, {532, 695}}";
+			sepNavSelRange = "{283, 0}";
+			sepNavVisRect = "{{0, 144}, {532, 551}}";
+			sepNavWindowFrame = "{{174, 96}, {547, 589}}";
 		};
 	};
@@ -1295,71 +1246,4 @@
 		);
 	};
-	E1ABAEE10812F4B2007C5427 = {
-		activeExec = 0;
-		executables = (
-			E1ABAEF20812F4B3007C5427,
-		);
-	};
-	E1ABAEF20812F4B3007C5427 = {
-		activeArgIndex = 2147483647;
-		activeArgIndices = (
-		);
-		argumentStrings = (
-		);
-		configStateDict = {
-		};
-		cppStopOnCatchEnabled = 0;
-		cppStopOnThrowEnabled = 0;
-		customDataFormattersEnabled = 1;
-		debuggerPlugin = GDBDebugging;
-		disassemblyDisplayState = 0;
-		enableDebugStr = 1;
-		environmentEntries = (
-		);
-		isa = PBXExecutable;
-		libgmallocEnabled = 0;
-		name = "ICeCoffEE Installer";
-		shlibInfoDictList = (
-		);
-		sourceDirectories = (
-		);
-	};
-	E1ABAF1608130361007C5427 = {
-		fRef = E1BF166A03DBE27000050002;
-		isa = PBXTextBookmark;
-		name = "\t\t\t\t\t[bridge selectNSRange: selectedRange];\n";
-		rLen = 44;
-		rLoc = 5056;
-		rType = 0;
-		vrLen = 561;
-		vrLoc = 4391;
-	};
-	E1ABAF1808130361007C5427 = {
-		fRef = E1BF166A03DBE27000050002;
-		isa = PBXTextBookmark;
-		name = "\t\t\t\t\t[bridge selectNSRange: selectedRange];\n";
-		rLen = 44;
-		rLoc = 5056;
-		rType = 0;
-		vrLen = 561;
-		vrLoc = 4391;
-	};
-	E1ABAF1C081303FF007C5427 = {
-		fRef = F9A6987103BE1DFF00AA4DA5;
-		isa = PBXTextBookmark;
-		rLen = 1;
-		rLoc = 166;
-		rType = 1;
-	};
-	E1ABB0A8081379B0007C5427 = {
-		fRef = F9A6987103BE1DFF00AA4DA5;
-		isa = PBXTextBookmark;
-		name = "ICeCoffEEController.m: 154";
-		rLen = 0;
-		rLoc = 5120;
-		rType = 0;
-		vrLen = 528;
-		vrLoc = 4920;
-	};
 	E1ABE98B040D48E700050002 = {
 		activeArgIndex = 2147483647;
@@ -1406,7 +1290,8 @@
 	E1BF15A403DBAA5600050002 = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {585, 566}}";
-			sepNavSelRange = "{66, 0}";
-			sepNavVisRect = "{{0, 0}, {585, 566}}";
+			sepNavIntBoundsRect = "{{0, 0}, {735, 464}}";
+			sepNavSelRange = "{65, 1}";
+			sepNavVisRect = "{{0, 0}, {735, 464}}";
+			sepNavWindowFrame = "{{15, 239}, {750, 502}}";
 		};
 	};
@@ -1429,8 +1314,8 @@
 	E1BF166A03DBE27000050002 = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {621, 2243}}";
-			sepNavSelRange = "{5056, 44}";
-			sepNavVisRect = "{{0, 1632}, {621, 155}}";
-			sepNavWindowFrame = "{{84, 176}, {750, 502}}";
+			sepNavIntBoundsRect = "{{0, 0}, {735, 2195}}";
+			sepNavSelRange = "{4413, 0}";
+			sepNavVisRect = "{{0, 1363}, {735, 464}}";
+			sepNavWindowFrame = "{{61, 197}, {750, 502}}";
 		};
 	};
@@ -1542,7 +1427,7 @@
 	F9A6987103BE1DFF00AA4DA5 = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {779, 2027}}";
-			sepNavSelRange = "{5120, 0}";
-			sepNavVisRect = "{{0, 1816}, {779, 211}}";
+			sepNavIntBoundsRect = "{{0, 0}, {840, 2027}}";
+			sepNavSelRange = "{4986, 0}";
+			sepNavVisRect = "{{0, 0}, {0, 0}}";
 		};
 	};
Index: /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.xcode/project.pbxproj
===================================================================
--- /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.xcode/project.pbxproj	(revision 168)
+++ /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.xcode/project.pbxproj	(revision 169)
@@ -39,5 +39,4 @@
 				E1ABAED50812F4B2007C5427,
 				E1ABAEDF0812F4B2007C5427,
-				E1ABAEF10812F4B3007C5427,
 			);
 			isa = PBXGroup;
@@ -89,5 +88,5 @@
 				E1ABAEBA0812F4B2007C5427,
 				E1ABAED60812F4B2007C5427,
-				E1ABAEE10812F4B2007C5427,
+				E120DB7308141CCB00BF8DDC,
 			);
 		};
@@ -233,4 +232,99 @@
 			sourceTree = "<group>";
 		};
+		E120DB7308141CCB00BF8DDC = {
+			buildPhases = (
+				E120DF0E08141D6900BF8DDC,
+				E120DF1008141D9600BF8DDC,
+				E120DF1408141DB200BF8DDC,
+				E120DF1A08141DD600BF8DDC,
+			);
+			buildSettings = {
+				PRODUCT_NAME = "ICeCoffEE Installer";
+				WRAPPER_EXTENSION = app;
+			};
+			dependencies = (
+				E1EF063A0814203F00C464C7,
+				E1EF063C0814203F00C464C7,
+			);
+			isa = PBXAggregateTarget;
+			name = "ICeCoffEE Installer";
+			productName = "ICeCoffEE Installer agg";
+		};
+		E120DF0C08141D5100BF8DDC = {
+			isa = PBXFileReference;
+			lastKnownFileType = wrapper.application;
+			name = "ICeCoffEE Installer.app";
+			path = "Installer components/ICeCoffEE Installer.app";
+			refType = 4;
+			sourceTree = "<group>";
+		};
+		E120DF0E08141D6900BF8DDC = {
+			buildActionMask = 2147483647;
+			dstPath = "";
+			dstSubfolderSpec = 16;
+			files = (
+				E120DF0F08141D7E00BF8DDC,
+			);
+			isa = PBXCopyFilesBuildPhase;
+			runOnlyForDeploymentPostprocessing = 0;
+		};
+		E120DF0F08141D7E00BF8DDC = {
+			fileRef = E120DF0C08141D5100BF8DDC;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E120DF1008141D9600BF8DDC = {
+			buildActionMask = 2147483647;
+			dstPath = "ICeCoffEE Installer.app/Contents/Resources";
+			dstSubfolderSpec = 16;
+			files = (
+				E120DF1108141D9F00BF8DDC,
+			);
+			isa = PBXCopyFilesBuildPhase;
+			runOnlyForDeploymentPostprocessing = 0;
+		};
+		E120DF1108141D9F00BF8DDC = {
+			fileRef = E1BF15A003DBAA4600050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E120DF1408141DB200BF8DDC = {
+			buildActionMask = 2147483647;
+			dstPath = "ICeCoffEE Installer.app/Contents/Resources/ui";
+			dstSubfolderSpec = 16;
+			files = (
+				E120DF1608141DBD00BF8DDC,
+				E120DF1908141DBD00BF8DDC,
+			);
+			isa = PBXCopyFilesBuildPhase;
+			runOnlyForDeploymentPostprocessing = 0;
+		};
+		E120DF1608141DBD00BF8DDC = {
+			fileRef = E1BF15A403DBAA5600050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E120DF1908141DBD00BF8DDC = {
+			fileRef = E1BF15A503DBAA5600050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E120DF1A08141DD600BF8DDC = {
+			buildActionMask = 2147483647;
+			files = (
+			);
+			inputPaths = (
+			);
+			isa = PBXShellScriptBuildPhase;
+			outputPaths = (
+			);
+			runOnlyForDeploymentPostprocessing = 0;
+			shellPath = /bin/sh;
+			shellScript = "cd \"${SYMROOT}/${PRODUCT_NAME}.${WRAPPER_EXTENSION}/Contents/Resources/\" && \\\n/usr/bin/install \"${BUILT_PRODUCTS_DIR}/ICFindFilesToRemove\" ui && \\\nmkdir ui/ICeCoffEE.ape && \\\n/usr/bin/ditto -rsrc \"${BUILT_PRODUCTS_DIR}/ICeCoffEE.ape\" ui/ICeCoffEE.ape && \\\nfor i in ui/ICeCoffEE.ape/Contents/Resources/*.lproj\ndo\n    LPROJ=\"`basename $i`\"\n    mkdir -p \"${LPROJ}/ui\"\n    ln -s \"../../ui/ICeCoffEE.ape/Contents/Resources/$LPROJ/APEInfo.rtfd\" \"${LPROJ}/ui/ReadMe.rtfd\"\ndone";
+		};
 		E12FEC3C04959F1C00AEFBF9 = {
 			children = (
@@ -1232,95 +1326,4 @@
 			sourceTree = BUILT_PRODUCTS_DIR;
 		};
-		E1ABAEE10812F4B2007C5427 = {
-			buildPhases = (
-				E1ABAEE60812F4B2007C5427,
-				E1ABAEE80812F4B2007C5427,
-				E1ABAEEA0812F4B2007C5427,
-				E1ABAEEF0812F4B2007C5427,
-			);
-			buildRules = (
-			);
-			buildSettings = {
-				INFOPLIST_FILE = "Info-ICeCoffEE Installer.plist";
-				INSTALL_PATH = /;
-				OTHER_CFLAGS = "";
-				OTHER_LDFLAGS = "";
-				OTHER_REZFLAGS = "";
-				PRODUCT_NAME = "ICeCoffEE Installer";
-				SECTORDER_FLAGS = "";
-				WARNING_CFLAGS = "-Wmost -Wno-four-char-constants -Wno-unknown-pragmas";
-				WRAPPER_EXTENSION = app;
-			};
-			dependencies = (
-				E1ABAEF60812F4B3007C5427,
-				E1ABAEF80812F4B3007C5427,
-			);
-			isa = PBXNativeTarget;
-			name = "ICeCoffEE Installer";
-			productInstallPath = /;
-			productName = "ICeCoffEE Installer";
-			productReference = E1ABAEF10812F4B3007C5427;
-			productType = "com.apple.product-type.application";
-		};
-		E1ABAEE60812F4B2007C5427 = {
-			buildActionMask = 2147483647;
-			dstPath = "ICeCoffEE Installer.app";
-			dstSubfolderSpec = 16;
-			files = (
-				E1ABB07808135D8C007C5427,
-			);
-			isa = PBXCopyFilesBuildPhase;
-			runOnlyForDeploymentPostprocessing = 0;
-		};
-		E1ABAEE80812F4B2007C5427 = {
-			buildActionMask = 2147483647;
-			dstPath = "";
-			dstSubfolderSpec = 7;
-			files = (
-				E1ABAEE90812F4B2007C5427,
-			);
-			isa = PBXCopyFilesBuildPhase;
-			runOnlyForDeploymentPostprocessing = 0;
-		};
-		E1ABAEE90812F4B2007C5427 = {
-			fileRef = E1BF15A003DBAA4600050002;
-			isa = PBXBuildFile;
-			settings = {
-			};
-		};
-		E1ABAEEA0812F4B2007C5427 = {
-			buildActionMask = 2147483647;
-			dstPath = ui;
-			dstSubfolderSpec = 7;
-			files = (
-				E1ABAEEB0812F4B2007C5427,
-				E1ABAEFA0812F4B3007C5427,
-				E1ABAEFB0812F4B3007C5427,
-				E1ABAEEE0812F4B2007C5427,
-			);
-			isa = PBXCopyFilesBuildPhase;
-			runOnlyForDeploymentPostprocessing = 0;
-		};
-		E1ABAEEB0812F4B2007C5427 = {
-			fileRef = E1BF15A403DBAA5600050002;
-			isa = PBXBuildFile;
-			settings = {
-			};
-		};
-		E1ABAEEE0812F4B2007C5427 = {
-			fileRef = E1BF15A503DBAA5600050002;
-			isa = PBXBuildFile;
-			settings = {
-			};
-		};
-		E1ABAEEF0812F4B2007C5427 = {
-			buildActionMask = 12;
-			files = (
-			);
-			isa = PBXShellScriptBuildPhase;
-			runOnlyForDeploymentPostprocessing = 0;
-			shellPath = /bin/sh;
-			shellScript = "cd \"${TARGET_BUILD_DIR}/ICeCoffEE Installer.app/Contents/Resources/\" && \\\n# printenv | sort\nfor i in ui/ICeCoffEE.ape/Contents/Resources/*.lproj\ndo\n    LPROJ=\"`basename $i`\"\n    mkdir -p \"${LPROJ}/ui\"\n    ln -s \"../../ui/ICeCoffEE.ape/Contents/Resources/$LPROJ/APEInfo.rtfd\" \"${LPROJ}/ui/ReadMe.rtfd\"\ndone";
-		};
 		E1ABAEF00812F4B3007C5427 = {
 			isa = PBXFileReference;
@@ -1329,12 +1332,4 @@
 			refType = 4;
 			sourceTree = "<group>";
-		};
-		E1ABAEF10812F4B3007C5427 = {
-			explicitFileType = wrapper.application;
-			includeInIndex = 0;
-			isa = PBXFileReference;
-			path = "ICeCoffEE Installer.app";
-			refType = 3;
-			sourceTree = BUILT_PRODUCTS_DIR;
 		};
 		E1ABAEF30812F4B3007C5427 = {
@@ -1350,57 +1345,6 @@
 			targetProxy = E1ABAEF30812F4B3007C5427;
 		};
-		E1ABAEF50812F4B3007C5427 = {
-			containerPortal = 29B97313FDCFA39411CA2CEA;
-			isa = PBXContainerItemProxy;
-			proxyType = 1;
-			remoteGlobalIDString = E1ABAED60812F4B2007C5427;
-			remoteInfo = "ICFindFilesToRemove (Upgraded)";
-		};
-		E1ABAEF60812F4B3007C5427 = {
-			isa = PBXTargetDependency;
-			target = E1ABAED60812F4B2007C5427;
-			targetProxy = E1ABAEF50812F4B3007C5427;
-		};
-		E1ABAEF70812F4B3007C5427 = {
-			containerPortal = 29B97313FDCFA39411CA2CEA;
-			isa = PBXContainerItemProxy;
-			proxyType = 1;
-			remoteGlobalIDString = E1ABAE8D0812F4B2007C5427;
-			remoteInfo = "APE Module (Upgraded)";
-		};
-		E1ABAEF80812F4B3007C5427 = {
-			isa = PBXTargetDependency;
-			target = E1ABAE8D0812F4B2007C5427;
-			targetProxy = E1ABAEF70812F4B3007C5427;
-		};
 		E1ABAEF90812F4B3007C5427 = {
 			fileRef = E1ABAED50812F4B2007C5427;
-			isa = PBXBuildFile;
-			settings = {
-			};
-		};
-		E1ABAEFA0812F4B3007C5427 = {
-			fileRef = E1ABAEDF0812F4B2007C5427;
-			isa = PBXBuildFile;
-			settings = {
-			};
-		};
-		E1ABAEFB0812F4B3007C5427 = {
-			fileRef = E1ABAEB90812F4B2007C5427;
-			isa = PBXBuildFile;
-			settings = {
-			};
-		};
-		E1ABAFC508135D8B007C5427 = {
-			includeInIndex = 0;
-			isa = PBXFileReference;
-			lastKnownFileType = folder;
-			name = Contents;
-			path = "Installer components/ICeCoffEE Installer.app/Contents";
-			refType = 4;
-			sourceTree = "<group>";
-		};
-		E1ABB07808135D8C007C5427 = {
-			fileRef = E1ABAFC508135D8B007C5427;
 			isa = PBXBuildFile;
 			settings = {
@@ -1485,5 +1429,5 @@
 			children = (
 				E19EB4F503DD359100050002,
-				E1ABAFC508135D8B007C5427,
+				E120DF0C08141D5100BF8DDC,
 				E1BF15A003DBAA4600050002,
 				E1BF15A203DBAA5600050002,
@@ -1630,4 +1574,28 @@
 			refType = 4;
 			sourceTree = "<group>";
+		};
+		E1EF06390814203F00C464C7 = {
+			containerPortal = 29B97313FDCFA39411CA2CEA;
+			isa = PBXContainerItemProxy;
+			proxyType = 1;
+			remoteGlobalIDString = E1ABAE8D0812F4B2007C5427;
+			remoteInfo = "APE Module";
+		};
+		E1EF063A0814203F00C464C7 = {
+			isa = PBXTargetDependency;
+			target = E1ABAE8D0812F4B2007C5427;
+			targetProxy = E1EF06390814203F00C464C7;
+		};
+		E1EF063B0814203F00C464C7 = {
+			containerPortal = 29B97313FDCFA39411CA2CEA;
+			isa = PBXContainerItemProxy;
+			proxyType = 1;
+			remoteGlobalIDString = E1ABAED60812F4B2007C5427;
+			remoteInfo = ICFindFilesToRemove;
+		};
+		E1EF063C0814203F00C464C7 = {
+			isa = PBXTargetDependency;
+			target = E1ABAED60812F4B2007C5427;
+			targetProxy = E1EF063B0814203F00C464C7;
 		};
 		E1F6E3AC040BCC5700050002 = {
Index: /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEShared.h
===================================================================
--- /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEShared.h	(revision 168)
+++ /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEShared.h	(revision 169)
@@ -13,5 +13,5 @@
 #include <CoreFoundation/CoreFoundation.h>
 
-#define ICCF_DEBUG 1
+#define ICCF_DEBUG 0
 
 #if ICCF_DEBUG
Index: /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEWebKit.m
===================================================================
--- /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEWebKit.m	(revision 168)
+++ /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEWebKit.m	(revision 169)
@@ -131,5 +131,5 @@
 			}
 			ICCF_StartIC();
-			// ICCF_LaunchURL(selectedString, ICCF_KeyboardAction());
+			ICCF_LaunchURL(selectedString, ICCF_KeyboardAction());
 			if (ICCF_prefs.textBlinkEnabled &&
 				[bridge respondsToSelector: @selector(selectNSRange:)]) {
Index: /trunk/ICeCoffEE/package-ICeCoffEE.sh
===================================================================
--- /trunk/ICeCoffEE/package-ICeCoffEE.sh	(revision 168)
+++ /trunk/ICeCoffEE/package-ICeCoffEE.sh	(revision 169)
@@ -11,11 +11,12 @@
 DMG="$PRODUCT-$VERSION.dmg" VOL="$PRODUCT $VERSION" && \
 DSTROOT="$PACKAGEDIR/$VOL" && \
-sudo rm -fr "$DSTROOT" && \
+sudo rm -rf "$DSTROOT" && \
 sudo rm -rf build/ && \
 rm -rf build/ && \
-xcodebuild install -target "ICeCoffEE Installer" "DSTROOT=$DSTROOT" && \
+xcodebuild -target "ICeCoffEE Installer" -buildstyle Deployment "DSTROOT=$DSTROOT" DEPLOYMENT_LOCATION=YES install && \
+mkdir "$DSTROOT" && \
+mv "build/$PRODUCT Installer.app" "$DSTROOT/$PRODUCT $VERSION Installer.app" && \
 sudo rm -rf build/ && \
-mv "$DSTROOT/$PRODUCT Installer.app" "$DSTROOT/$PRODUCT $VERSION Installer.app" && \
-find "$DSTROOT" -name ".svn" -exec sudo /bin/rm -rf "{}" \; ; \
+find "$DSTROOT" -name ".svn" -type d -exec sudo /bin/rm -rf "{}" \; ; \
 cd "$PACKAGEDIR" && \
 rm -f "$DMG" && \
@@ -34,3 +35,2 @@
 # scp "$DMG" ainaz:web/nriley/software/
 :
-