Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.xcode/nicholas.mode1
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.xcode/nicholas.mode1	(revision 169)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.xcode/nicholas.mode1	(revision 180)
@@ -228,6 +228,4 @@
 			<array>
 				<dict>
-					<key>BecomeActive</key>
-					<true/>
 					<key>ContentConfiguration</key>
 					<dict>
@@ -264,6 +262,4 @@
 							<array>
 								<string>29B97314FDCFA39411CA2CEA</string>
-								<string>29B97315FDCFA39411CA2CEA</string>
-								<string>E1AFA51C03ECFDB000050001</string>
 								<string>1C37FBAC04509CD000000102</string>
 							</array>
@@ -271,5 +267,4 @@
 							<array>
 								<array>
-									<integer>9</integer>
 									<integer>2</integer>
 									<integer>0</integer>
@@ -292,5 +287,5 @@
 						</array>
 						<key>RubberWindowFrame</key>
-						<string>13 230 697 508 0 0 1152 746 </string>
+						<string>12 233 697 508 0 0 1152 746 </string>
 					</dict>
 					<key>Module</key>
@@ -329,5 +324,5 @@
 								<string>{{0, 0}, {488, 0}}</string>
 								<key>RubberWindowFrame</key>
-								<string>13 230 697 508 0 0 1152 746 </string>
+								<string>12 233 697 508 0 0 1152 746 </string>
 							</dict>
 							<key>Module</key>
@@ -337,4 +332,6 @@
 						</dict>
 						<dict>
+							<key>BecomeActive</key>
+							<true/>
 							<key>ContentConfiguration</key>
 							<dict>
@@ -342,5 +339,5 @@
 								<string>1CE0B20506471E060097A5F4</string>
 								<key>PBXProjectModuleLabel</key>
-								<string>Targets</string>
+								<string>Detail</string>
 							</dict>
 							<key>GeometryConfiguration</key>
@@ -349,5 +346,5 @@
 								<string>{{0, 7}, {488, 480}}</string>
 								<key>RubberWindowFrame</key>
-								<string>13 230 697 508 0 0 1152 746 </string>
+								<string>12 233 697 508 0 0 1152 746 </string>
 							</dict>
 							<key>Module</key>
@@ -373,7 +370,7 @@
 			<key>TableOfContents</key>
 			<array>
-				<string>E1DA7150081459C400D5158A</string>
+				<string>E13F38FA082EDA480035EE2E</string>
 				<string>1CE0B1FE06471DED0097A5F4</string>
-				<string>E1DA7151081459C400D5158A</string>
+				<string>E13F38FB082EDA480035EE2E</string>
 				<string>1CE0B20306471E060097A5F4</string>
 				<string>1CE0B20506471E060097A5F4</string>
@@ -388,5 +385,5 @@
 	<false/>
 	<key>TimeStamp</key>
-	<real>135551345.73168311</real>
+	<real>137296872.84713706</real>
 	<key>ToolbarDisplayMode</key>
 	<integer>2</integer>
@@ -403,10 +400,10 @@
 	<key>WindowOrderList</key>
 	<array>
+		<string>1C0AD2B3069F1EA900FABCE6</string>
+		<string>E1718325081434180097E5AE</string>
 		<string>/Users/nicholas/Documents/Development/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.xcode</string>
-		<string>E1DA7152081459C400D5158A</string>
-		<string>E1DA7153081459C400D5158A</string>
 	</array>
 	<key>WindowString</key>
-	<string>13 230 697 508 0 0 1152 746 </string>
+	<string>12 233 697 508 0 0 1152 746 </string>
 	<key>WindowTools</key>
 	<array>
@@ -448,5 +445,5 @@
 								<string>{{0, 0}, {857, 0}}</string>
 								<key>RubberWindowFrame</key>
-								<string>22 75 857 385 0 0 1152 746 </string>
+								<string>124 85 857 385 0 0 1152 746 </string>
 							</dict>
 							<key>Module</key>
@@ -474,5 +471,5 @@
 								<string>{{0, 7}, {857, 336}}</string>
 								<key>RubberWindowFrame</key>
-								<string>22 75 857 385 0 0 1152 746 </string>
+								<string>124 85 857 385 0 0 1152 746 </string>
 							</dict>
 							<key>Module</key>
@@ -497,5 +494,5 @@
 			<array>
 				<string>E1718325081434180097E5AE</string>
-				<string>E1718326081434180097E5AE</string>
+				<string>E13F38FC082EF05D0035EE2E</string>
 				<string>1CD0528F0623707200166675</string>
 				<string>XCMainBuildResultsModuleGUID</string>
@@ -504,5 +501,5 @@
 			<string>xcode.toolbar.config.build</string>
 			<key>WindowString</key>
-			<string>22 75 857 385 0 0 1152 746 </string>
+			<string>124 85 857 385 0 0 1152 746 </string>
 			<key>WindowToolGUID</key>
 			<string>E1718325081434180097E5AE</string>
@@ -814,6 +811,6 @@
 										<key>sizes</key>
 										<array>
-											<string>{{0, 0}, {366, 167}}</string>
-											<string>{{0, 176}, {366, 267}}</string>
+											<string>{{0, 0}, {491, 167}}</string>
+											<string>{{0, 176}, {491, 267}}</string>
 										</array>
 									</dict>
@@ -864,7 +861,7 @@
 			<array>
 				<string>1C0AD2B3069F1EA900FABCE6</string>
-				<string>E1ABAE770812E78D007C5427</string>
+				<string>E13F38FD082EF4B30035EE2E</string>
 				<string>1CD0528B0623707200166675</string>
-				<string>E1ABAE780812E78D007C5427</string>
+				<string>E13F38FE082EF4B30035EE2E</string>
 			</array>
 			<key>ToolbarConfiguration</key>
Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.xcode/nicholas.pbxuser
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.xcode/nicholas.pbxuser	(revision 169)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.xcode/nicholas.pbxuser	(revision 180)
@@ -169,5 +169,5 @@
 				);
 			};
-			PBXPerProjectTemplateStateSaveDate = 135551345;
+			PBXPerProjectTemplateStateSaveDate = 137288214;
 			PBXPrepackagedSmartGroups_v2 = (
 				{
@@ -644,5 +644,5 @@
 				WindowFrame = "{{524, 473}, {756, 352}}";
 			};
-			PBXWorkspaceStateSaveDate = 135551345;
+			PBXWorkspaceStateSaveDate = 137288214;
 		};
 		sourceControlManager = E12B21580548C9B600CFF4E9;
@@ -972,8 +972,8 @@
 	E14343B403DB4CF200050002 = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {609, 8553}}";
-			sepNavSelRange = "{0, 0}";
-			sepNavVisRect = "{{0, 988}, {609, 566}}";
-			sepNavWindowFrame = "{{287, 136}, {799, 632}}";
+			sepNavIntBoundsRect = "{{0, 0}, {735, 6911}}";
+			sepNavSelRange = "{9495, 16}";
+			sepNavVisRect = "{{0, 3060}, {735, 464}}";
+			sepNavWindowFrame = "{{156, 228}, {750, 502}}";
 		};
 	};
@@ -1033,8 +1033,8 @@
 	E165AB3603E7A7FC00050002 = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {609, 4759}}";
-			sepNavSelRange = "{9051, 0}";
-			sepNavVisRect = "{{0, 56}, {609, 566}}";
-			sepNavWindowFrame = "{{38, 304}, {750, 502}}";
+			sepNavIntBoundsRect = "{{0, 0}, {735, 3923}}";
+			sepNavSelRange = "{11290, 0}";
+			sepNavVisRect = "{{0, 3158}, {735, 464}}";
+			sepNavWindowFrame = "{{38, 218}, {750, 502}}";
 		};
 	};
Index: trunk/ICeCoffEE/ICeCoffEE/Info-APE Module.plist
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/Info-APE Module.plist	(revision 169)
+++ trunk/ICeCoffEE/ICeCoffEE/Info-APE Module.plist	(revision 180)
@@ -11,5 +11,5 @@
 	</dict>
 	<key>APEVersionRequired</key>
-	<string>1.3</string>
+	<string>1.5</string>
 	<key>CFBundleDevelopmentRegion</key>
 	<string>English</string>
@@ -33,5 +33,5 @@
 	<string>ICCF</string>
 	<key>CFBundleVersion</key>
-	<string>1.4.1</string>
+	<string>1.4.2d1</string>
 </dict>
 </plist>
Index: trunk/ICeCoffEE/ICeCoffEE/Info-APEManagerPrefPane.plist
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/Info-APEManagerPrefPane.plist	(revision 169)
+++ trunk/ICeCoffEE/ICeCoffEE/Info-APEManagerPrefPane.plist	(revision 180)
@@ -24,5 +24,5 @@
 	<string>????</string>
 	<key>CFBundleVersion</key>
-	<string>1.0</string>
+	<string>1.4.2d1</string>
 	<key>NSMainNibFile</key>
 	<string>APE Manager plugin</string>
Index: trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Info.plist
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Info.plist	(revision 169)
+++ trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Info.plist	(revision 180)
@@ -8,5 +8,5 @@
 	<string>Unsanity Installer</string>
 	<key>CFBundleGetInfoString</key>
-	<string>Unsanity Installer version 3.3, Copyright ©2002-2004 Unsanity LLC.</string>
+	<string>Unsanity Installer version 3.5, Copyright ©2002-2005 Unsanity LLC.</string>
 	<key>CFBundleIconFile</key>
 	<string>ui.icns</string>
@@ -18,9 +18,9 @@
 	<string>APPL</string>
 	<key>CFBundleShortVersionString</key>
-	<string>Unsanity Installer version 3.3</string>
+	<string>Unsanity Installer version 3.5</string>
 	<key>CFBundleSignature</key>
 	<string>????</string>
 	<key>CFBundleVersion</key>
-	<string>3.3</string>
+	<string>3.5</string>
 	<key>NSMainNibFile</key>
 	<string>MainMenu</string>
Index: trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/English.lproj/Localizable.strings
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/English.lproj/Localizable.strings	(revision 169)
+++ trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/English.lproj/Localizable.strings	(revision 180)
@@ -20,6 +20,6 @@
 /* Uninstall Panel */
 "Are you sure you want to uninstall %@ %@ %@? Please note that this installer will automatically uninstall an older version of the product during the installation." = "Are you sure you want to uninstall %@ %@ %@? Please note that this installer will automatically uninstall an older version of the product during the installation.";
-"globally installed" = "globally installed";
-"locally installed" = "locally installed";
+"the globally installed" = "the globally installed";
+"the locally installed" = "the locally installed";
 
 /* Authentication Failed Panel */
@@ -78,2 +78,5 @@
 "When you click the \"Quit\" button below, this Installer will quit." = "When you click the \"Quit\" button below, this Installer will quit.";
 "You are strongly advised to log out or restart your computer in order for the installed product to completely take effect. Thank you!" = "You are strongly advised to log out or restart your computer in order for the installed product to completely take effect. Thank you!";
+
+/* Version Field */
+"This Installer was created using Unsanity Installer %@, %@" = "This Installer was created using Unsanity Installer %@, %@";
Index: trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/English.lproj/MainMenu.nib/classes.nib
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/English.lproj/MainMenu.nib/classes.nib	(revision 169)
+++ trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/English.lproj/MainMenu.nib/classes.nib	(revision 180)
@@ -2,4 +2,5 @@
     IBClasses = (
         {CLASS = FirstResponder; LANGUAGE = ObjC; SUPERCLASS = NSObject; }, 
+        {CLASS = UIBigTextField; LANGUAGE = ObjC; SUPERCLASS = NSTextField; }, 
         {
             ACTIONS = {
@@ -18,12 +19,15 @@
                 apeCurrentVersionText = id; 
                 apeInstallVersionText = id; 
-                donLogOutText = id; 
-                donQuitText = id; 
+                cautionIconWell = NSImageView; 
+                currentStepName = id; 
+                donLogOutText = NSBox; 
+                dotView = UIProgressDotView; 
                 filFilesTable = id; 
                 filWindow = id; 
                 genBackButton = id; 
                 genContinueButton = id; 
-                genStepText = id; 
-                insFilesTable = id; 
+                insProgress = NSProgressIndicator; 
+                insProgressText = NSTextField; 
+                installerBackground = NSImageView; 
                 licAgreePanel = id; 
                 licTextView = id; 
@@ -34,4 +38,6 @@
                 remTextView = id; 
                 tabView = id; 
+                uiVersionField = id; 
+                uipPlaceholderView = id; 
                 uniAuthRequiredText = id; 
                 uniExplanationText = id; 
@@ -41,4 +47,5 @@
             SUPERCLASS = NSWindowController; 
         }, 
+        {CLASS = UIProgressDotView; LANGUAGE = ObjC; SUPERCLASS = NSMatrix; }, 
         {CLASS = URLTextView; LANGUAGE = ObjC; SUPERCLASS = NSTextView; }
     ); 
Index: trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/English.lproj/MainMenu.nib/info.nib
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/English.lproj/MainMenu.nib/info.nib	(revision 169)
+++ trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/English.lproj/MainMenu.nib/info.nib	(revision 180)
@@ -4,9 +4,9 @@
 <dict>
 	<key>IBDocumentLocation</key>
-	<string>63 116 356 240 0 0 1280 1002 </string>
+	<string>54 77 356 240 0 0 1152 746 </string>
 	<key>IBEditorPositions</key>
 	<dict>
 		<key>29</key>
-		<string>371 197 202 44 0 0 1280 1002 </string>
+		<string>326 144 202 44 0 0 1152 746 </string>
 	</dict>
 	<key>IBFramework Version</key>
@@ -16,19 +16,8 @@
 		<integer>29</integer>
 		<integer>21</integer>
+		<integer>330</integer>
 	</array>
 	<key>IBSystem Version</key>
-	<string>7M34</string>
-	<key>IBUserGuides</key>
-	<dict>
-		<key>21</key>
-		<dict>
-			<key>guideLocations</key>
-			<array>
-				<string>Vertical:334.000000</string>
-			</array>
-			<key>guidesLocked</key>
-			<false/>
-		</dict>
-	</dict>
+	<string>7W98</string>
 </dict>
 </plist>
Index: trunk/ICeCoffEE/ICeCoffEE/Installer components/ui/ui.plist
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/Installer components/ui/ui.plist	(revision 169)
+++ trunk/ICeCoffEE/ICeCoffEE/Installer components/ui/ui.plist	(revision 180)
@@ -23,7 +23,7 @@
 	<string>YES</string>
 	<key>MinimalAllowedSystemVersion</key>
-	<integer>4136</integer>
+	<integer>4153</integer>
 	<key>MinimalAllowedSystemVersionString</key>
-	<string>10.2.8</string>
+	<string>10.3.9</string>
 	<key>PreInstallKillProcesses</key>
 	<array>
@@ -39,9 +39,9 @@
 	<string>ICeCoffEE</string>
 	<key>ProductNumVersion</key>
-	<integer>21069824</integer>
+	<integer>21110785</integer>
 	<key>ProductType</key>
 	<string>Preference Pane</string>
 	<key>ProductVersion</key>
-	<string>1.4.1</string>
+	<string>1.4.2d1</string>
 </dict>
 </plist>
Index: trunk/ICeCoffEE/ICeCoffEE/VERSION
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/VERSION	(revision 169)
+++ trunk/ICeCoffEE/ICeCoffEE/VERSION	(revision 180)
@@ -1,1 +1,1 @@
-1.4.1
+1.4.2d1