Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.xcode/nicholas.pbxuser
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.xcode/nicholas.pbxuser	(revision 182)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.xcode/nicholas.pbxuser	(revision 183)
@@ -3,7 +3,7 @@
 	089C165DFE840E0CC02AAC07 = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {813, 170}}";
-			sepNavSelRange = "{113, 0}";
-			sepNavVisRect = "{{0, 0}, {813, 170}}";
+			sepNavIntBoundsRect = "{{0, 0}, {711, 465}}";
+			sepNavSelRange = "{109, 0}";
+			sepNavVisRect = "{{0, 0}, {711, 464}}";
 			sepNavWindowFrame = "{{15, 239}, {750, 502}}";
 		};
@@ -15,13 +15,8 @@
 		addToTargets = (
 			E1ABAE8D0812F4B2007C5427,
-			E1ABAEBA0812F4B2007C5427,
 		);
 		breakpoints = (
 			E1317A3703DF244600050002,
 			E1317A3803DF24F800050002,
-			E136EAA903E48B0400050002,
-			E18A7D2903ED430100050001,
-			E1BF4A30048739CA00C20906,
-			E12A2C6B054CE75500F98AD9,
 		);
 		codeSenseManager = E12B21590548C9B600CFF4E9;
@@ -171,5 +166,5 @@
 				);
 			};
-			PBXPerProjectTemplateStateSaveDate = 137730838;
+			PBXPerProjectTemplateStateSaveDate = 137793366;
 			PBXPrepackagedSmartGroups_v2 = (
 				{
@@ -646,5 +641,5 @@
 				WindowFrame = "{{524, 473}, {756, 352}}";
 			};
-			PBXWorkspaceStateSaveDate = 137730838;
+			PBXWorkspaceStateSaveDate = 137793366;
 		};
 		sourceControlManager = E12B21580548C9B600CFF4E9;
@@ -713,10 +708,4 @@
 		activeExec = 0;
 	};
-	E12A2C6B054CE75500F98AD9 = {
-		fileReference = F9A6987103BE1DFF00AA4DA5;
-		isa = PBXFileBreakpoint;
-		lineNumber = 34;
-		state = 1;
-	};
 	E12B21580548C9B600CFF4E9 = {
 		fallbackIsa = XCSourceControlManager;
@@ -839,5 +828,5 @@
 	E1317A3703DF244600050002 = {
 		isa = PBXSymbolicBreakpoint;
-		state = 2;
+		state = 1;
 		symbolName = "-[NSException raise]";
 	};
@@ -849,7 +838,7 @@
 	E1317B2F03DFC4DE00050002 = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {813, 5086}}";
-			sepNavSelRange = "{12661, 13}";
-			sepNavVisRect = "{{0, 3914}, {813, 170}}";
+			sepNavIntBoundsRect = "{{0, 0}, {711, 5218}}";
+			sepNavSelRange = "{13168, 0}";
+			sepNavVisRect = "{{0, 3963}, {711, 464}}";
 			sepNavWindowFrame = "{{84, 262}, {750, 502}}";
 		};
@@ -867,7 +856,7 @@
 	E135625E03DC9FC200050002 = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {508, 682}}";
-			sepNavSelRange = "{1665, 38}";
-			sepNavVisRect = "{{0, 99}, {508, 551}}";
+			sepNavIntBoundsRect = "{{0, 0}, {508, 715}}";
+			sepNavSelRange = "{1875, 0}";
+			sepNavVisRect = "{{0, 163}, {508, 551}}";
 			sepNavWindowFrame = "{{174, 96}, {547, 589}}";
 		};
@@ -941,14 +930,8 @@
 		name = "ICeCoffEETerminal.m: mouseUp:";
 		rLen = 0;
-		rLoc = 14194;
+		rLoc = 14199;
 		rType = 0;
 		vrLen = 25;
 		vrLoc = 15494;
-	};
-	E136EAA903E48B0400050002 = {
-		fileReference = E1317B2F03DFC4DE00050002;
-		isa = PBXFileBreakpoint;
-		lineNumber = 307;
-		state = 1;
 	};
 	E13762D203EC636D00050002 = {
@@ -969,16 +952,16 @@
 	E14343B303DB4CF200050002 = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {725, 746}}";
-			sepNavSelRange = "{2148, 0}";
-			sepNavVisRect = "{{0, 0}, {725, 745}}";
-			sepNavWindowFrame = "{{55, 199}, {764, 783}}";
+			sepNavIntBoundsRect = "{{0, 0}, {774, 784}}";
+			sepNavSelRange = "{1224, 0}";
+			sepNavVisRect = "{{0, 0}, {774, 783}}";
+			sepNavWindowFrame = "{{114, 293}, {813, 821}}";
 		};
 	};
 	E14343B403DB4CF200050002 = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {774, 6798}}";
-			sepNavSelRange = "{21057, 0}";
-			sepNavVisRect = "{{0, 5995}, {774, 783}}";
-			sepNavWindowFrame = "{{281, 288}, {813, 821}}";
+			sepNavIntBoundsRect = "{{0, 0}, {774, 7073}}";
+			sepNavSelRange = "{23725, 0}";
+			sepNavVisRect = "{{0, 6267}, {774, 783}}";
+			sepNavWindowFrame = "{{109, 242}, {813, 821}}";
 		};
 	};
@@ -1050,7 +1033,7 @@
 	E165AB3603E7A7FC00050002 = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {766, 3612}}";
-			sepNavSelRange = "{1396, 0}";
-			sepNavVisRect = "{{0, 0}, {0, 0}}";
+			sepNavIntBoundsRect = "{{0, 0}, {711, 3700}}";
+			sepNavSelRange = "{10038, 15}";
+			sepNavVisRect = "{{0, 2511}, {711, 464}}";
 			sepNavWindowFrame = "{{38, 218}, {750, 502}}";
 		};
@@ -1082,4 +1065,14 @@
 		enableDebugStr = 1;
 		environmentEntries = (
+			{
+				active = NO;
+				name = NSZombieEnabled;
+				value = YES;
+			},
+			{
+				active = NO;
+				name = NSAutoreleaseFreedObjectCheckEnabled;
+				value = YES;
+			},
 		);
 		executableSystemSymbolLevel = 0;
@@ -1089,7 +1082,484 @@
 		libgmallocEnabled = 0;
 		name = TextEdit;
+		savedGlobals = {
+		};
 		shlibInfoDictList = (
 		);
 		shlibInfoDictList_v2 = (
+			{
+				level = 0;
+				path = /usr/lib/system/libmathCommon.A.dylib;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /usr/lib/libSystem.B.dylib;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /usr/lib/libicucore.A.dylib;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /usr/lib/libauto.dylib;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /usr/lib/libobjc.A.dylib;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /usr/lib/libz.1.2.2.dylib;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/Security.framework/Versions/A/Security;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/WebServicesCore.framework/Versions/A/WebServicesCore;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /usr/lib/libbsm.dylib;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /usr/lib/libcrypto.0.9.7.dylib;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /usr/lib/libcups.2.dylib;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/FindByContent.framework/Versions/A/FindByContent;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRaw.dylib;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /usr/lib/libmx.A.dylib;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /usr/lib/libiconv.2.dylib;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /usr/lib/libxml2.2.dylib;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /usr/lib/libsqlite3.0.dylib;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /Applications/TextEdit.app/Contents/MacOS/TextEdit;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /Library/Frameworks/ApplicationEnhancer.framework/Versions/A/ApplicationEnhancer;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /Users/nicholas/Documents/Development/ICeCoffEE/ICeCoffEE/build/ICeCoffEE.ape/Contents/MacOS/ICeCoffEE;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /Library/InputManagers/SIMBL/SIMBL.bundle/Contents/MacOS/SIMBL;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = "/Library/InputManagers/Menu Extra Enabler/Menu Extra Enabler.bundle/Contents/MacOS/Menu Extra Enabler";
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /Users/nicholas/Documents/Development/Cocoa/TextExtras_1.7/build/TextExtras.bundle/Contents/MacOS/TextExtras;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = "/Library/PreferencePanes/Default Folder X.prefPane/Contents/Resources/Default Folder X.bundle/Contents/Resources/Mach-O Patcher.bundle/Contents/MacOS/Mach-O Patcher";
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = "/Library/PreferencePanes/Default Folder X.prefPane/Contents/Resources/Default Folder X.bundle/Contents/Resources/Cocoa Patcher.bundle/Contents/MacOS/Cocoa Patcher";
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /System/Library/Components/DictionaryService.component/Contents/MacOS/DictionaryService;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /Developer/Applications/Xcode.app/Contents/PlugIns/GDBMIDebugging.xcplugin/Contents/Resources/PBGDBIntrospectionSupport.A.dylib;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = /usr/lib/libgcc_s.1.0.dylib;
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = "/usr/lib/libstdc++.6.0.3.dylib";
+				whenToLoad = 0;
+			},
+			{
+				level = 0;
+				path = "/Library/Application Support/Apple/Developer Tools/CustomDataViews/CarbonDataFormatters.bundle/Contents/MacOS/CarbonDataFormatters";
+				whenToLoad = 0;
+			},
 		);
 		sourceDirectories = (
@@ -1127,4 +1597,20 @@
 			sepNavVisRect = "{{0, 272}, {711, 464}}";
 			sepNavWindowFrame = "{{84, 262}, {750, 502}}";
+		};
+	};
+	E170DFDD0835D6F400B484AC = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {753, 471}}";
+			sepNavSelRange = "{468, 0}";
+			sepNavVisRect = "{{0, 0}, {753, 470}}";
+			sepNavWindowFrame = "{{687, 97}, {792, 508}}";
+		};
+	};
+	E170DFDE0835D6F400B484AC = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {748, 704}}";
+			sepNavSelRange = "{1479, 0}";
+			sepNavVisRect = "{{0, 98}, {748, 605}}";
+			sepNavWindowFrame = "{{28, 480}, {787, 643}}";
 		};
 	};
@@ -1194,14 +1680,8 @@
 		uiCtxt = {
 			sepNavIntBoundsRect = "{{0, 0}, {686, 622}}";
-			sepNavSelRange = "{2052, 35}";
+			sepNavSelRange = "{2124, 0}";
 			sepNavVisRect = "{{0, 0}, {686, 621}}";
 			sepNavWindowFrame = "{{378, 506}, {725, 659}}";
 		};
-	};
-	E18A7D2903ED430100050001 = {
-		fileReference = E14343B403DB4CF200050002;
-		isa = PBXFileBreakpoint;
-		lineNumber = 144;
-		state = 1;
 	};
 	E191FC9C0831B8FB003B09BC = {
@@ -1249,12 +1729,20 @@
 	E1ABAEB80812F4B2007C5427 = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {735, 464}}";
-			sepNavSelRange = "{0, 0}";
-			sepNavVisRect = "{{0, 0}, {735, 464}}";
-			sepNavWindowFrame = "{{130, 134}, {750, 502}}";
+			sepNavIntBoundsRect = "{{0, 0}, {711, 465}}";
+			sepNavSelRange = "{976, 0}";
+			sepNavVisRect = "{{0, 0}, {711, 464}}";
+			sepNavWindowFrame = "{{335, 146}, {750, 502}}";
 		};
 	};
 	E1ABAEBA0812F4B2007C5427 = {
 		activeExec = 0;
+	};
+	E1ABAED40812F4B2007C5427 = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {748, 606}}";
+			sepNavSelRange = "{762, 0}";
+			sepNavVisRect = "{{0, 0}, {748, 605}}";
+			sepNavWindowFrame = "{{429, 152}, {787, 643}}";
+		};
 	};
 	E1ABAED60812F4B2007C5427 = {
@@ -1291,4 +1779,12 @@
 		sourceDirectories = (
 		);
+	};
+	E1ABAEF00812F4B3007C5427 = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {748, 606}}";
+			sepNavSelRange = "{790, 0}";
+			sepNavVisRect = "{{0, 0}, {748, 605}}";
+			sepNavWindowFrame = "{{452, 131}, {787, 643}}";
+		};
 	};
 	E1ABE98B040D48E700050002 = {
@@ -1348,7 +1844,7 @@
 	E1BF15A503DBAA5600050002 = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {735, 575}}";
-			sepNavSelRange = "{1283, 0}";
-			sepNavVisRect = "{{0, 0}, {735, 464}}";
+			sepNavIntBoundsRect = "{{0, 0}, {711, 539}}";
+			sepNavSelRange = "{1188, 0}";
+			sepNavVisRect = "{{0, 74}, {711, 464}}";
 			sepNavWindowFrame = "{{84, 176}, {750, 502}}";
 		};
@@ -1356,7 +1852,7 @@
 	E1BF15BF03DBBE8900050002 = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {735, 464}}";
-			sepNavSelRange = "{5, 0}";
-			sepNavVisRect = "{{0, 0}, {735, 464}}";
+			sepNavIntBoundsRect = "{{0, 0}, {711, 465}}";
+			sepNavSelRange = "{6, 0}";
+			sepNavVisRect = "{{0, 0}, {711, 464}}";
 			sepNavWindowFrame = "{{15, 239}, {750, 502}}";
 		};
@@ -1364,8 +1860,8 @@
 	E1BF166A03DBE27000050002 = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {828, 1258}}";
-			sepNavSelRange = "{833, 0}";
-			sepNavVisRect = "{{0, 11}, {828, 868}}";
-			sepNavWindowFrame = "{{95, 122}, {867, 906}}";
+			sepNavIntBoundsRect = "{{0, 0}, {828, 1291}}";
+			sepNavSelRange = "{3143, 0}";
+			sepNavVisRect = "{{0, 378}, {828, 868}}";
+			sepNavWindowFrame = "{{293, 103}, {867, 906}}";
 		};
 	};
@@ -1401,10 +1897,4 @@
 			sepNavWindowFrame = "{{61, 318}, {835, 813}}";
 		};
-	};
-	E1BF4A30048739CA00C20906 = {
-		fileReference = E1317B2F03DFC4DE00050002;
-		isa = PBXFileBreakpoint;
-		lineNumber = 443;
-		state = 1;
 	};
 	E1BF4A4D0487C77C00C20906 = {
@@ -1433,7 +1923,8 @@
 	E1CBC99803E7602700050002 = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {592, 1428}}";
-			sepNavSelRange = "{854, 0}";
-			sepNavVisRect = "{{0, 180}, {592, 476}}";
+			sepNavIntBoundsRect = "{{0, 0}, {748, 1322}}";
+			sepNavSelRange = "{245, 0}";
+			sepNavVisRect = "{{0, 716}, {748, 605}}";
+			sepNavWindowFrame = "{{475, 110}, {787, 643}}";
 		};
 	};
@@ -1455,15 +1946,15 @@
 	F56276C20379923401AA4DA5 = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {739, 5988}}";
-			sepNavSelRange = "{16837, 0}";
-			sepNavVisRect = "{{0, 2531}, {739, 540}}";
-			sepNavWindowFrame = "{{59, 74}, {778, 578}}";
+			sepNavIntBoundsRect = "{{0, 0}, {715, 6094}}";
+			sepNavSelRange = "{2320, 0}";
+			sepNavVisRect = "{{0, 1939}, {715, 1006}}";
+			sepNavWindowFrame = "{{16, 121}, {754, 1044}}";
 		};
 	};
 	F5CD5EAA02DAE61A01AA4DA5 = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {709, 443}}";
+			sepNavIntBoundsRect = "{{0, 0}, {711, 465}}";
 			sepNavSelRange = "{23, 0}";
-			sepNavVisRect = "{{0, 0}, {709, 443}}";
+			sepNavVisRect = "{{0, 0}, {711, 464}}";
 			sepNavWindowFrame = "{{107, 241}, {750, 502}}";
 		};
@@ -1471,8 +1962,8 @@
 	F9A6986E03BE1DF000AA4DA5 = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {711, 3613}}";
-			sepNavSelRange = "{9679, 0}";
-			sepNavVisRect = "{{0, 2432}, {711, 464}}";
-			sepNavWindowFrame = "{{440, 49}, {750, 502}}";
+			sepNavIntBoundsRect = "{{0, 0}, {753, 3514}}";
+			sepNavSelRange = "{380, 0}";
+			sepNavVisRect = "{{0, 0}, {753, 470}}";
+			sepNavWindowFrame = "{{440, 43}, {792, 508}}";
 		};
 	};
@@ -1487,6 +1978,6 @@
 		uiCtxt = {
 			sepNavIntBoundsRect = "{{0, 0}, {828, 1870}}";
-			sepNavSelRange = "{4986, 0}";
-			sepNavVisRect = "{{0, 1001}, {828, 868}}";
+			sepNavSelRange = "{991, 75}";
+			sepNavVisRect = "{{0, 0}, {828, 868}}";
 			sepNavWindowFrame = "{{15, 267}, {867, 906}}";
 		};