Index: /trunk/ICeCoffEE/ICeCoffEE/French.lproj/APE Manager plugin.nib/classes.nib
===================================================================
--- /trunk/ICeCoffEE/ICeCoffEE/French.lproj/APE Manager plugin.nib/classes.nib	(revision 185)
+++ /trunk/ICeCoffEE/ICeCoffEE/French.lproj/APE Manager plugin.nib/classes.nib	(revision 185)
@@ -0,0 +1,35 @@
+{
+    IBClasses = (
+        {CLASS = FirstResponder; LANGUAGE = ObjC; SUPERCLASS = NSObject; }, 
+        {
+            ACTIONS = {
+                commandClickEnabled = id; 
+                editContextualServices = id; 
+                errorDialogEnabled = id; 
+                errorSoundEnabled = id; 
+                servicesInContextualMenu = id; 
+                servicesInMenuBar = id; 
+                terminalRequireOptionForSelfDrag = id; 
+                textBlinkCount = id; 
+                textBlinkEnabled = id; 
+            }; 
+            CLASS = ICeCoffEEController; 
+            LANGUAGE = ObjC; 
+            OUTLETS = {
+                commandClickEnabled = NSButton; 
+                editContextualServices = NSButton; 
+                errorDialogEnabled = NSButton; 
+                errorSoundEnabled = NSButton; 
+                servicesInContextualMenu = NSButton; 
+                servicesInMenuBar = NSButton; 
+                tabView = NSTabView; 
+                terminalRequireOptionForSelfDrag = NSButton; 
+                textBlinkCount = NSPopUpButton; 
+                textBlinkEnabled = NSButton; 
+                window = NSWindow; 
+            }; 
+            SUPERCLASS = NSObject; 
+        }
+    ); 
+    IBVersion = 1; 
+}
Index: /trunk/ICeCoffEE/ICeCoffEE/French.lproj/APE Manager plugin.nib/info.nib
===================================================================
--- /trunk/ICeCoffEE/ICeCoffEE/French.lproj/APE Manager plugin.nib/info.nib	(revision 185)
+++ /trunk/ICeCoffEE/ICeCoffEE/French.lproj/APE Manager plugin.nib/info.nib	(revision 185)
@@ -0,0 +1,40 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
+<dict>
+	<key>IBDocumentLocation</key>
+	<string>1 109 356 240 0 0 1280 832 </string>
+	<key>IBFramework Version</key>
+	<string>349.0</string>
+	<key>IBGroupedObjects</key>
+	<dict>
+		<key>3</key>
+		<array>
+			<string>270</string>
+			<string>263</string>
+			<string>260</string>
+			<string>262</string>
+		</array>
+	</dict>
+	<key>IBLastGroupID</key>
+	<string>4</string>
+	<key>IBOpenObjects</key>
+	<array>
+		<integer>195</integer>
+	</array>
+	<key>IBSystem Version</key>
+	<string>7B85</string>
+	<key>IBUserGuides</key>
+	<dict>
+		<key>195</key>
+		<dict>
+			<key>guideLocations</key>
+			<array>
+				<string>Horizontal:245.000000</string>
+			</array>
+			<key>guidesLocked</key>
+			<false/>
+		</dict>
+	</dict>
+</dict>
+</plist>
Index: /trunk/ICeCoffEE/ICeCoffEE/French.lproj/Localizable.strings
===================================================================
--- /trunk/ICeCoffEE/ICeCoffEE/French.lproj/Localizable.strings	(revision 185)
+++ /trunk/ICeCoffEE/ICeCoffEE/French.lproj/Localizable.strings	(revision 185)
@@ -0,0 +1,76 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
+<dict>
+	<key>-10814</key>
+	<string>Aucune application n'est définie pour gérer le type d'adresse spécifié (ex. http:)</string>
+	<key>-43</key>
+	<string>L'URL pointe vers un fichier local qui n'a pu être trouvé</string>
+	<key>-50</key>
+	<string>La sélection n'est pas une adresse complete</string>
+	<key>-666</key>
+	<string>Aucune application n'est définie pour gérer le type d'adresse spécifié (ex. http:)</string>
+	<key>-669</key>
+	<string>Le panneau de configuration Internet à rencontré une erreur</string>
+	<key>-673</key>
+	<string>La sélection n'est pas une URL</string>
+	<key>-8749</key>
+	<string>L'URL sélectionnée contient des caractères non valides (non ASCII)</string>
+	<key>Add</key>
+	<string>Ajouter</string>
+	<key>Add Bookmark</key>
+	<string>Ajouter le signet</string>
+	<key>AlertDisableButton</key>
+	<string>Désactiver ICeCoffEE…</string>
+	<key>AlertMessage%@</key>
+	<string>L'adresse Internet sélectionnée n'a pu être ouverte.
+
+%@.</string>
+	<key>AlertTitle</key>
+	<string>Ouvrir l'adresse Internet</string>
+	<key>An unknown error occurred in %@</key>
+	<string>Une erreur inconnue à eu lieu dans %@</string>
+	<key>App%@Location%@</key>
+	<string>%@ — %@</string>
+	<key>Bookmark name and description are optional.</key>
+	<string>Le nom et la description su signet sont optionnels.</string>
+	<key>Cancel</key>
+	<string>Annuler</string>
+	<key>DefaultApp%@</key>
+	<string>%@ (par défault)</string>
+	<key>Description:</key>
+	<string>Description :</string>
+	<key>DisableAlertDisableButton</key>
+	<string>Désactiver</string>
+	<key>DisableAlertDontDisableButton</key>
+	<string>Ne pas désactiver</string>
+	<key>DisableAlertMessage%@</key>
+	<string>Si vous pensez que ICeCoffEE interfère avec le fonctionnement habituel de l'application “%@”, vous pouvez le désactiver pour cette application jusqu'à ce que vous la quittiez.
+
+Si c'est la première fois que vous expérimentez ce problème, veuillez écrire à icecoffee@sabi.net avec les détails du conflit.
+
+Pour le désactiver de façon permanente, utilisez  le panneau APE Manager des Préférences Système.</string>
+	<key>DisableAlertTitle</key>
+	<string>Désactiver ICeCoffEE</string>
+	<key>Location:</key>
+	<string>Adresse :</string>
+	<key>Name:</key>
+	<string>Nom :</string>
+	<key>No URL is selected</key>
+	<string>Aucune URL sélectionnée</string>
+	<key>No text was found</key>
+	<string>Aucun texte n'à été trouvé</string>
+	<key>Open Location With</key>
+	<string>Ouvrir l'adresse avec</string>
+	<key>Sorry, ICeCoffEE is unable to locate the insertion point or selection</key>
+	<string>Navré, ICeCoffEE ne peut localiser le point d'insertion ou le texte sélectionné</string>
+	<key>Sorry, ICeCoffEE was unable to find anything to select</key>
+	<string>Navré, ICeCoffEE n'a trouvé aucun texte à sélectionner</string>
+	<key>The potential URL is longer than %lu characters</key>
+	<string>L'URL potentielle fait plus de %lu caractères</string>
+	<key>There is no insertion point or selection in the text field where you clicked</key>
+	<string>Il n'y a pas de point d'insertion ou de texte dans le texte sur lequel vous avez cliqué</string>
+	<key>Unable to start Internet Config (error %d)</key>
+	<string>Incapable d'ouvrir Configuration Internet (erreur %d)</string>
+</dict>
+</plist>
Index: /trunk/ICeCoffEE/ICeCoffEE/German.lproj/APE Manager plugin.nib/info.nib
===================================================================
--- /trunk/ICeCoffEE/ICeCoffEE/German.lproj/APE Manager plugin.nib/info.nib	(revision 184)
+++ /trunk/ICeCoffEE/ICeCoffEE/German.lproj/APE Manager plugin.nib/info.nib	(revision 185)
@@ -4,7 +4,7 @@
 <dict>
 	<key>IBDocumentLocation</key>
-	<string>355 113 356 240 0 0 1280 832 </string>
+	<string>478 179 356 240 0 0 1600 1178 </string>
 	<key>IBFramework Version</key>
-	<string>291.0</string>
+	<string>437.0</string>
 	<key>IBGroupedObjects</key>
 	<dict>
@@ -29,5 +29,5 @@
 	</array>
 	<key>IBSystem Version</key>
-	<string>6L60</string>
+	<string>8A428</string>
 	<key>IBUserGuides</key>
 	<dict>
Index: /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.xcode/nicholas.mode2
===================================================================
--- /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.xcode/nicholas.mode2	(revision 184)
+++ /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.xcode/nicholas.mode2	(revision 185)
@@ -215,5 +215,5 @@
 				<dict>
 					<key>Proportion</key>
-					<string>314pt</string>
+					<string>315pt</string>
 					<key>Tabs</key>
 					<array>
@@ -236,5 +236,5 @@
 									<array>
 										<real>22</real>
-										<real>275</real>
+										<real>276</real>
 									</array>
 									<key>PBXSmartGroupTreeModuleColumnsKey_v4</key>
@@ -251,17 +251,21 @@
 										<string>E14993A503DE868D00050002</string>
 										<string>29B97315FDCFA39411CA2CEA</string>
-										<string>E1AFA51C03ECFDB000050001</string>
+										<string>E1BF159F03DBA81600050002</string>
+										<string>E1BF15A203DBAA5600050002</string>
 										<string>E1BF154403DB950B00050002</string>
+										<string>29B97317FDCFA39411CA2CEA</string>
+										<string>29B97318FDCFA39411CA2CEA</string>
 									</array>
 									<key>PBXSmartGroupTreeModuleOutlineStateSelectionKey</key>
 									<array>
 										<array>
-											<integer>2</integer>
-											<integer>1</integer>
+											<integer>37</integer>
+											<integer>34</integer>
+											<integer>32</integer>
 											<integer>0</integer>
 										</array>
 									</array>
 									<key>PBXSmartGroupTreeModuleOutlineStateVisibleRectKey</key>
-									<string>{{0, 0}, {297, 481}}</string>
+									<string>{{0, 102}, {298, 633}}</string>
 								</dict>
 								<key>PBXTopSmartGroupGIDs</key>
@@ -273,5 +277,5 @@
 							<dict>
 								<key>Frame</key>
-								<string>{{10, 27}, {314, 499}}</string>
+								<string>{{10, 27}, {315, 651}}</string>
 								<key>GroupTreeTableConfiguration</key>
 								<array>
@@ -279,8 +283,8 @@
 									<real>22</real>
 									<string>MainColumn</string>
-									<real>275</real>
+									<real>276</real>
 								</array>
 								<key>RubberWindowFrame</key>
-								<string>1243 611 314 567 0 0 1600 1178 </string>
+								<string>1242 459 315 719 0 0 1600 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -421,6 +425,6 @@
 			<key>TableOfContents</key>
 			<array>
-				<string>E13C4B5A08368F60004E6043</string>
-				<string>E13C4B5B08368F60004E6043</string>
+				<string>E1BBBF49083858110008E627</string>
+				<string>E1BBBF4A083858110008E627</string>
 				<string>1C9437FD063B20B00039CFAC</string>
 				<string>1C9437FE063B20B00039CFAC</string>
@@ -455,9 +459,9 @@
 	<key>WindowOrderList</key>
 	<array>
-		<string>1C0AD2B3069F1EA900FABCE6</string>
 		<string>/Users/nicholas/Documents/Development/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.xcode</string>
+		<string>E18B4838082F0937000E96F5</string>
 	</array>
 	<key>WindowString</key>
-	<string>1243 611 314 567 0 0 1600 1178 </string>
+	<string>1242 459 315 719 0 0 1600 1178 </string>
 	<key>WindowTools</key>
 	<array>
@@ -644,5 +648,5 @@
 								<integer>1021</integer>
 								<key>XCBuildResultsTrigger_Open</key>
-								<integer>1012</integer>
+								<integer>1011</integer>
 							</dict>
 							<key>GeometryConfiguration</key>
@@ -674,5 +678,5 @@
 			<array>
 				<string>1C530D52069F1CE1000CFCEE</string>
-				<string>E170E03E083653E300B484AC</string>
+				<string>E13A4D0C0838534B00845659</string>
 				<string>1CD0528F0623707200166675</string>
 				<string>XCMainBuildResultsModuleGUID</string>
@@ -685,5 +689,5 @@
 			<string>1C530D52069F1CE1000CFCEE</string>
 			<key>WindowToolIsVisible</key>
-			<false/>
+			<true/>
 		</dict>
 		<dict>
@@ -1049,5 +1053,5 @@
 			<string>1C0AD2B3069F1EA900FABCE6</string>
 			<key>WindowToolIsVisible</key>
-			<true/>
+			<false/>
 		</dict>
 		<dict>
@@ -1076,7 +1080,7 @@
 							<dict>
 								<key>Frame</key>
-								<string>{{0, 0}, {634, 0}}</string>
+								<string>{{0, 0}, {457, 0}}</string>
 								<key>RubberWindowFrame</key>
-								<string>73 783 634 373 0 0 1600 1178 </string>
+								<string>85 609 457 342 0 0 1600 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -1098,16 +1102,16 @@
 							<dict>
 								<key>Frame</key>
-								<string>{{0, 5}, {634, 327}}</string>
+								<string>{{0, 5}, {457, 296}}</string>
 								<key>RubberWindowFrame</key>
-								<string>73 783 634 373 0 0 1600 1178 </string>
+								<string>85 609 457 342 0 0 1600 1178 </string>
 							</dict>
 							<key>Module</key>
 							<string>PBXCVSModule</string>
 							<key>Proportion</key>
-							<string>327pt</string>
+							<string>296pt</string>
 						</dict>
 					</array>
 					<key>Proportion</key>
-					<string>332pt</string>
+					<string>301pt</string>
 				</dict>
 			</array>
@@ -1123,5 +1127,5 @@
 			<array>
 				<string>E18B4838082F0937000E96F5</string>
-				<string>E170DF9C08359B3000B484AC</string>
+				<string>E1BBBF4B083858110008E627</string>
 				<string>1C78EAB2065D492600B07095</string>
 				<string>1CD052920623707200166675</string>
@@ -1130,9 +1134,9 @@
 			<string>xcode.toolbar.config.scm</string>
 			<key>WindowString</key>
-			<string>73 783 634 373 0 0 1600 1178 </string>
+			<string>85 609 457 342 0 0 1600 1178 </string>
 			<key>WindowToolGUID</key>
 			<string>E18B4838082F0937000E96F5</string>
 			<key>WindowToolIsVisible</key>
-			<false/>
+			<true/>
 		</dict>
 		<dict>
Index: /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.xcode/nicholas.pbxuser
===================================================================
--- /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.xcode/nicholas.pbxuser	(revision 184)
+++ /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.xcode/nicholas.pbxuser	(revision 185)
@@ -12,5 +12,5 @@
 		activeBuildStyle = 4A9504CDFFE6A4B311CA0CBA;
 		activeExecutable = E165AB3C03E7BCDE00050002;
-		activeTarget = E1ABAE8D0812F4B2007C5427;
+		activeTarget = E120DB7308141CCB00BF8DDC;
 		addToTargets = (
 			E1ABAE8D0812F4B2007C5427,
@@ -166,5 +166,5 @@
 				);
 			};
-			PBXPerProjectTemplateStateSaveDate = 137793366;
+			PBXPerProjectTemplateStateSaveDate = 137910279;
 			PBXPrepackagedSmartGroups_v2 = (
 				{
@@ -641,5 +641,5 @@
 				WindowFrame = "{{524, 473}, {756, 352}}";
 			};
-			PBXWorkspaceStateSaveDate = 137793366;
+			PBXWorkspaceStateSaveDate = 137910279;
 		};
 		sourceControlManager = E12B21580548C9B600CFF4E9;
@@ -708,4 +708,20 @@
 		activeExec = 0;
 	};
+	E128636008381A34009C048B = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {715, 6304}}";
+			sepNavSelRange = "{10304, 0}";
+			sepNavVisRect = "{{0, 2815}, {715, 1006}}";
+			sepNavWindowFrame = "{{15, 129}, {754, 1044}}";
+		};
+	};
+	E128637008381AC7009C048B = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {715, 1007}}";
+			sepNavSelRange = "{2730, 0}";
+			sepNavVisRect = "{{0, 0}, {715, 1006}}";
+			sepNavWindowFrame = "{{38, 108}, {754, 1044}}";
+		};
+	};
 	E12B21580548C9B600CFF4E9 = {
 		fallbackIsa = XCSourceControlManager;
@@ -944,8 +960,8 @@
 	E140C475040BB997009FF178 = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {735, 6863}}";
-			sepNavSelRange = "{5146, 0}";
-			sepNavVisRect = "{{0, 2980}, {735, 464}}";
-			sepNavWindowFrame = "{{345, 57}, {750, 502}}";
+			sepNavIntBoundsRect = "{{0, 0}, {758, 7080}}";
+			sepNavSelRange = "{55, 0}";
+			sepNavVisRect = "{{0, 0}, {758, 789}}";
+			sepNavWindowFrame = "{{455, 144}, {797, 827}}";
 		};
 	};
@@ -1610,6 +1626,6 @@
 		uiCtxt = {
 			sepNavIntBoundsRect = "{{0, 0}, {748, 704}}";
-			sepNavSelRange = "{1479, 0}";
-			sepNavVisRect = "{{0, 98}, {748, 605}}";
+			sepNavSelRange = "{148, 0}";
+			sepNavVisRect = "{{0, 0}, {748, 605}}";
 			sepNavWindowFrame = "{{28, 480}, {787, 643}}";
 		};
@@ -1730,5 +1746,5 @@
 		uiCtxt = {
 			sepNavIntBoundsRect = "{{0, 0}, {711, 465}}";
-			sepNavSelRange = "{976, 0}";
+			sepNavSelRange = "{975, 0}";
 			sepNavVisRect = "{{0, 0}, {711, 464}}";
 			sepNavWindowFrame = "{{335, 146}, {750, 502}}";
@@ -1741,5 +1757,5 @@
 		uiCtxt = {
 			sepNavIntBoundsRect = "{{0, 0}, {748, 606}}";
-			sepNavSelRange = "{762, 0}";
+			sepNavSelRange = "{761, 0}";
 			sepNavVisRect = "{{0, 0}, {748, 605}}";
 			sepNavWindowFrame = "{{429, 152}, {787, 643}}";
@@ -1845,6 +1861,6 @@
 		uiCtxt = {
 			sepNavIntBoundsRect = "{{0, 0}, {711, 539}}";
-			sepNavSelRange = "{1188, 0}";
-			sepNavVisRect = "{{0, 74}, {711, 464}}";
+			sepNavSelRange = "{172, 0}";
+			sepNavVisRect = "{{0, 0}, {711, 464}}";
 			sepNavWindowFrame = "{{84, 176}, {750, 502}}";
 		};
@@ -1853,5 +1869,5 @@
 		uiCtxt = {
 			sepNavIntBoundsRect = "{{0, 0}, {711, 465}}";
-			sepNavSelRange = "{6, 0}";
+			sepNavSelRange = "{5, 0}";
 			sepNavVisRect = "{{0, 0}, {711, 464}}";
 			sepNavWindowFrame = "{{15, 239}, {750, 502}}";
@@ -1900,7 +1916,7 @@
 	E1BF4A4D0487C77C00C20906 = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {735, 4821}}";
-			sepNavSelRange = "{30, 0}";
-			sepNavVisRect = "{{0, 0}, {735, 464}}";
+			sepNavIntBoundsRect = "{{0, 0}, {711, 4872}}";
+			sepNavSelRange = "{12148, 0}";
+			sepNavVisRect = "{{0, 4407}, {711, 464}}";
 			sepNavWindowFrame = "{{222, 50}, {750, 502}}";
 		};
@@ -1946,8 +1962,8 @@
 	F56276C20379923401AA4DA5 = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {715, 6094}}";
-			sepNavSelRange = "{2320, 0}";
-			sepNavVisRect = "{{0, 1939}, {715, 1006}}";
-			sepNavWindowFrame = "{{16, 121}, {754, 1044}}";
+			sepNavIntBoundsRect = "{{0, 0}, {715, 6111}}";
+			sepNavSelRange = "{27, 0}";
+			sepNavVisRect = "{{0, 0}, {715, 1006}}";
+			sepNavWindowFrame = "{{706, 50}, {754, 1044}}";
 		};
 	};
Index: /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.xcode/project.pbxproj
===================================================================
--- /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.xcode/project.pbxproj	(revision 184)
+++ /trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.xcode/project.pbxproj	(revision 185)
@@ -154,4 +154,5 @@
 				E140C476040BBABD009FF178,
 				E1BF4A500487C7B300C20906,
+				E128636B08381AB5009C048B,
 			);
 			isa = PBXVariantGroup;
@@ -328,4 +329,29 @@
 			shellScript = "cd \"${SYMROOT}/${PRODUCT_NAME}.${WRAPPER_EXTENSION}/Contents/Resources/\" && \\\n/usr/bin/install \"${BUILT_PRODUCTS_DIR}/ICFindFilesToRemove\" ui && \\\nmkdir ui/ICeCoffEE.ape && \\\n/usr/bin/ditto -rsrc \"${BUILT_PRODUCTS_DIR}/ICeCoffEE.ape\" ui/ICeCoffEE.ape && \\\nfor i in ui/ICeCoffEE.ape/Contents/Resources/*.lproj\ndo\n    LPROJ=\"`basename $i`\"\n    mkdir -p \"${LPROJ}/ui\"\n    ln -s \"../../ui/ICeCoffEE.ape/Contents/Resources/$LPROJ/APEInfo.rtfd\" \"${LPROJ}/ui/ReadMe.rtfd\"\ndone";
 		};
+		E128636008381A34009C048B = {
+			isa = PBXFileReference;
+			lastKnownFileType = wrapper.rtfd;
+			name = French;
+			path = French.lproj/APEInfo.rtfd;
+			refType = 4;
+			sourceTree = "<group>";
+		};
+		E128636B08381AB5009C048B = {
+			isa = PBXFileReference;
+			lastKnownFileType = wrapper.nib;
+			name = French;
+			path = "French.lproj/APE Manager plugin.nib";
+			refType = 4;
+			sourceTree = "<group>";
+		};
+		E128637008381AC7009C048B = {
+			fileEncoding = 4;
+			isa = PBXFileReference;
+			lastKnownFileType = text.xml;
+			name = French;
+			path = French.lproj/Localizable.strings;
+			refType = 4;
+			sourceTree = "<group>";
+		};
 		E12FEC3C04959F1C00AEFBF9 = {
 			children = (
@@ -482,4 +508,5 @@
 				E140C475040BB997009FF178,
 				E1BF4A4D0487C77C00C20906,
+				E128636008381A34009C048B,
 			);
 			isa = PBXVariantGroup;
@@ -1652,4 +1679,5 @@
 				E1F6E3AC040BCC5700050002,
 				E1BF4A570487CA5300C20906,
+				E128637008381AC7009C048B,
 			);
 			isa = PBXVariantGroup;
Index: /trunk/ICeCoffEE/ICeCoffEE/Info-APE Module.plist
===================================================================
--- /trunk/ICeCoffEE/ICeCoffEE/Info-APE Module.plist	(revision 184)
+++ /trunk/ICeCoffEE/ICeCoffEE/Info-APE Module.plist	(revision 185)
@@ -33,5 +33,5 @@
 	<string>ICCF</string>
 	<key>CFBundleVersion</key>
-	<string>1.4.2b1</string>
+	<string>1.4.2</string>
 </dict>
 </plist>
Index: /trunk/ICeCoffEE/ICeCoffEE/Info-APEManagerPrefPane.plist
===================================================================
--- /trunk/ICeCoffEE/ICeCoffEE/Info-APEManagerPrefPane.plist	(revision 184)
+++ /trunk/ICeCoffEE/ICeCoffEE/Info-APEManagerPrefPane.plist	(revision 185)
@@ -24,5 +24,5 @@
 	<string>????</string>
 	<key>CFBundleVersion</key>
-	<string>1.4.2b1</string>
+	<string>1.4.2</string>
 	<key>NSMainNibFile</key>
 	<string>APE Manager plugin</string>
Index: /trunk/ICeCoffEE/ICeCoffEE/Installer components/ui/ui.plist
===================================================================
--- /trunk/ICeCoffEE/ICeCoffEE/Installer components/ui/ui.plist	(revision 184)
+++ /trunk/ICeCoffEE/ICeCoffEE/Installer components/ui/ui.plist	(revision 185)
@@ -39,9 +39,9 @@
 	<string>ICeCoffEE</string>
 	<key>ProductNumVersion</key>
-	<integer>21127169</integer>
+	<integer>21135360</integer>
 	<key>ProductType</key>
 	<string>Preference Pane</string>
 	<key>ProductVersion</key>
-	<string>1.4.2b1</string>
+	<string>1.4.2</string>
 </dict>
 </plist>
Index: /trunk/ICeCoffEE/ICeCoffEE/VERSION
===================================================================
--- /trunk/ICeCoffEE/ICeCoffEE/VERSION	(revision 184)
+++ /trunk/ICeCoffEE/ICeCoffEE/VERSION	(revision 185)
@@ -1,1 +1,1 @@
-1.4.2b1
+1.4.2